跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Delete an org-level variable

DELETE
/orgs/{org}/actions/variables/{variablename}
curl --request DELETE \
--url https://gitea.example.com/api/v1/orgs/example/actions/variables/example \
--header 'Authorization: Basic <credentials>'
org
required
string

Name of the organization

variablename
required
string

Name of the variable

ActionVariable

Media typeapplication/json

ActionVariable return value of the query API

object
data

The value of the variable

string
description

The description of the variable

string
name

The name of the variable

string
owner_id

The owner to which the variable belongs

integer format: int64
repo_id

The repository to which the variable belongs

integer format: int64
Examplegenerated
{
"data": "example",
"description": "example",
"name": "example",
"owner_id": 1,
"repo_id": 1
}

Response when deleting a variable

Media typeapplication/json

Response when deleting a variable

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json